Subject: bug#45606: [PATCH] Modify comint-read-input-ring to skip uninteresting text

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 11 Jan 2021 16:43:20 +0100

Brian Leung <[email-masked]> writes:

> I made the attached changes to handle zsh's history on Emacs' master branch.
>
> This is a follow-up to Matthew Bauer's commit
> f7421039fb15123dbbda047e23504dd1771183b5 which sought to support zsh's
> extended_history. Matthew, would you confirm that these patches are
> OK?

I'm not Matthew, but it looks OK to me (and didn't seem to break
anything when testing the patch), so I've pushed it to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no